import java.sql.*;

/**
 * Microsoft SQL Server JDBC test program
 *
 * http://msdn.microsoft.com/downloads/default.asp?URL=/downloads/sample.asp?url=/MSDN-FILES/027/001/779/msdncompositedoc.xml
 * http://support.microsoft.com/default.aspx?scid=KB;EN-US;Q313100&
 */
public class Test {

  public Test() throws Exception {

		// Get connection
		DriverManager.registerDriver(new com.microsoft.jdbc.sqlserver.SQLServerDriver());
//    Class.forName("com.microsoft.jdbc.sqlserver.SQLServerDriver");
//    Driver d = (Driver) Class.forName("com.microsoft.jdbc.sqlserver.SQLServerDriver").newInstance();

    Connection connection = DriverManager.getConnection(
//      "jdbc:microsoft:sqlserver://magnum:1433;User=nskl;Password=nskl");
//      "jdbc:microsoft:sqlserver://magnum:1433", "nskl", "nskl");
      "jdbc:microsoft:sqlserver://magnum:1433", "sa", "manager");
//      "jdbc:oracle:thin:@CYR1", "test", "test");

		if (connection != null) {

			System.out.println();
			System.out.println("Successfully connected");
			System.out.println();

			// Meta data
			DatabaseMetaData meta = connection.getMetaData();

			System.out.println("Driver Information");
			System.out.println("\tDriver Name: "+ meta.getDriverName());
			System.out.println("\tDriver Version: "+ meta.getDriverVersion());
			System.out.println("\nDatabase Information ");
			System.out.println("\tDatabase Name: "+ meta.getDatabaseProductName());
			System.out.println("\tDatabase Version: "+ meta.getDatabaseProductVersion());

			// Select some data
/*
	    Statement select = connection.createStatement();
	    ResultSet result = select.executeQuery("SELECT msisdn FROM member");

	    while (result.next()) {

	      System.out.println(result.getString(1));
	    }
*/
		}
  } // Test

  public static void main (String args[]) throws Exception {

    Test test = new Test();
  }

}
